You need to use Firefox to install the Extension